[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.DesktopRect

Bounds rectangle for the desktop spanning all monitors.

## Declaration

Source position: forms.pp line 1287

`public property TScreen.DesktopRect : TRect read GetDesktopRect;`

## Description

DesktopRect is a read-only TRect property with the bounds for the desktop spanning all monitors. Member values in the property are derived from the DesktopLeft, DesktopTop, DesktopWidth, and DesktopHeight properties.

DesktopRect is provided as a convenience property; it is not used directly in the LCL.

## See also

TScreen.DesktopLeft |  | The left-most coordinate of the desktop.
TScreen.DesktopTop |  | The top-most coordinate for the desktop.
TScreen.DesktopHeight |  | The total vertical size for the desktop.
TScreen.DesktopWidth |  | The total horizontal size for the desktop.